<template>
  <div>
    <h1 class="mb-3">Select Your Treatment Below:</h1>
    <p class="mb-8">Start by choosing your main skin concern.</p>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice.name"
        v-model="radioSelected"
        :input-value="choice.name"
      >
        <div class="item">
          <div>
            <div>
              <p class="mb-1">{{ choice.name }}</p>
              <p class="text-grey-medium">{{ choice.description }}</p>
            </div>
          </div>
          <img width="100%" :src="choice.img" alt="img">
        </div>
      </radio-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!radioSelected"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {answersMixin, mainDataMixin, radioMixin} from "@/utils/mixins";
import {constants} from "@/constants";

export default {
  mixins: [radioMixin, mainDataMixin, answersMixin],
  name: "SelectTreatment",
  data() {
    return {
      choices: [
        {
          name: constants.ANTI_AGING,
          description: 'Fine lines, wrinkles, sagging skin, dull, lackluster skin',
          img: require('@/assets/img/misc/anti-aging.jpg')
        }
      ],
      radioHandler: newVal => this.setAnswer(this.answersKeys.ACCOUNT_CREATION, newVal, 'treatmentName')
    }
  }
}
</script>

<style scoped>
.item {
  @apply grid gap-x-4;
  grid-template-columns: 1fr 86px;
}
</style>
